package com.bea.wlevs.demo.airline.events;

/**
 * Interface to provide a key that can be used to put/get 
 * the event into/out of a cache
 */
public interface Cacheable extends java.io.Serializable {
	
	/** 
	 * @return a key that can be used to cache this event
	 */
	public Object getKey();
	
}
