package com.bea.wlevs.demo.airline.events;

public class FlightOperationEvent implements Cacheable {
	
	private static final long serialVersionUID = 1L;
	
	long timestamp;
    int flightNumber;
    String eventType;
    boolean traceEnabled;
    
	public String getEventType() {
		return eventType;
	}
	public void setEventType(String eventType) {
		this.eventType = eventType;
	}
	public int getFlightNumber() {
		return flightNumber;
	}
	public void setFlightNumber(int flightNumber) {
		this.flightNumber = flightNumber;
	}
	public long getTimestamp() {
		return timestamp;
	}
	public void setTimestamp(long timestamp) {
		this.timestamp = timestamp;
	}
	public boolean getTraceEnabled() {
		return traceEnabled;
	}
	public void setTraceEnabled(boolean traceEnabled) {
		this.traceEnabled = traceEnabled;
	}
	public Object getKey() {
		return "[FlightNumber:"+flightNumber+"][EventType:"+eventType+"]";
	}
	
	public String toString() {
		return (String) getKey();
	}
}
