package com.bea.wlevs.demo.airline.events;

	public class PassengerActivitySummaryEvent implements Cacheable {

	private static final long serialVersionUID = 1L;
		
	private long timestamp;
	private long sequence;
	
	private long bagCheckCount;
	private long passengerCheckInCount;
	private long passengerEnterSecurityCount;
	private long passengerExitSecurityCount;
	private long passengerBoardingCount;

	public long getBagCheckCount() {
		return bagCheckCount;
	}
	public void setBagCheckCount(long bagCheckCount) {
		this.bagCheckCount = bagCheckCount;
	}
	public long getPassengerBoardingCount() {
		return passengerBoardingCount;
	}
	public void setPassengerBoardingCount(long passengerBoardingCount) {
		this.passengerBoardingCount = passengerBoardingCount;
	}
	public long getPassengerCheckInCount() {
		return passengerCheckInCount;
	}
	public void setPassengerCheckInCount(long passengerCheckInCount) {
		this.passengerCheckInCount = passengerCheckInCount;
	}
	public long getPassengerEnterSecurityCount() {
		return passengerEnterSecurityCount;
	}
	public void setPassengerEnterSecurityCount(long passengerEnterSecurityCount) {
		this.passengerEnterSecurityCount = passengerEnterSecurityCount;
	}
	public long getPassengerExitSecurityCount() {
		return passengerExitSecurityCount;
	}
	public void setPassengerExitSecurityCount(long passengerExitSecurityCount) {
		this.passengerExitSecurityCount = passengerExitSecurityCount;
	}
	public long getSequence() {
		return sequence;
	}
	public void setSequence(long sequence) {
		this.sequence = sequence;
	}
	public long getTimestamp() {
		return timestamp;
	}
	public void setTimestamp(long timestamp) {
		this.timestamp = timestamp;
	}
	public Object getKey() {
		return "PassengerActivitySummary[tsAsSeconds:"+timestamp/1000+"]";
	}	
	public String toString() {
		return (String) getKey();
	}
}
