package com.bea.wlevs.demo.airline.events;


public class PassengerStuckInSecurityEvent implements Cacheable {

	private static final long serialVersionUID = 1L;
	
	long timestamp;
	long enterSecurityTimestamp;
	String securityLocation;
	String reservationLocator;
	int flightNumber;
	String flightSegment;
	String passengerName;
	
	public long getEnterSecurityTimestamp() {
		return enterSecurityTimestamp;
	}
	public void setEnterSecurityTimestamp(long enterSecurityTimestamp) {
		this.enterSecurityTimestamp = enterSecurityTimestamp;
	}
	public int getFlightNumber() {
		return flightNumber;
	}
	public void setFlightNumber(int flightNumber) {
		this.flightNumber = flightNumber;
	}
	public String getFlightSegment() {
		return flightSegment;
	}
	public void setFlightSegment(String flightSegment) {
		this.flightSegment = flightSegment;
	}
	public String getPassengerName() {
		return passengerName;
	}
	public void setPassengerName(String passengerName) {
		this.passengerName = passengerName;
	}
	public String getReservationLocator() {
		return reservationLocator;
	}
	public void setReservationLocator(String reservationLocator) {
		this.reservationLocator = reservationLocator;
	}
	public String getSecurityLocation() {
		return securityLocation;
	}
	public void setSecurityLocation(String securityLocation) {
		this.securityLocation = securityLocation;
	}
	public long getTimestamp() {
		return timestamp;
	}
	public void setTimestamp(long timestamp) {
		this.timestamp = timestamp;
	}
	public Object getKey() {
		return "PassengerStuckInSecurityEvent[Passenger:"+passengerName+"][Locator:"+reservationLocator+"][Location:"+securityLocation+"]";	
	}
		
	public String toString() {
		return (String) getKey();
	}
}
