package com.bea.wlevs.demo.airline.events;

public class SecurityWaitTimeSummaryEvent implements Cacheable {

	private static final long serialVersionUID = 1L;
	
	public Long timestamp;
	public String location;
	public Long minTime;
	public Double avgTime;
	public Long maxTime;

	public SecurityWaitTimeSummaryEvent() {
		//FIXME: problem with having this in EPL
		timestamp = System.currentTimeMillis();
	}

	public Double getAvgTime() {
		return avgTime;
	}
	public void setAvgTime(Double avgTime) {
		this.avgTime = avgTime;
	}
	public String getLocation() {
		return location;
	}
	public void setLocation(String location) {
		this.location = location;
	}
	public Long getMaxTime() {
		return maxTime;
	}
	public void setMaxTime(Long maxTime) {
		this.maxTime = maxTime;
	}
	public Long getMinTime() {
		return minTime;
	}
	public void setMinTime(Long minTime) {
		this.minTime = minTime;
	}
	public Long getTimestamp() {
		return timestamp;
	}
	public void setTimestamp(Long timestamp) {
		this.timestamp = timestamp;
	}

	public String toString() {
		return
		"[key:"+getKey() +
		"][min:"+this.minTime +
		"][avg:"+this.avgTime +
		"][max:"+this.maxTime +
		"]";
	}

	public Object getKey() {
		return "SecurityWaitTimeSummary[tsAsSeconds:"+timestamp/1000+"][location:"+location+"]";
	}
}
