package com.bea.wlevs.demo.airline.client.util;

import java.util.*;

/**
 * This class is used to generate random "people" names
 * @author jedavies
 */
public class NameGenerator {

	private static NameGenerator nameGen = null;
	
	private static String[] firstName = {
		"Ajit", "Alfred", "Alicia", "Alice", "Amal", "Amy", "Andy", "Andrew", "Ashish",
		"Austin", "Ashok", "Alfonse", "Alfonso", "Ajay", "Allan", "Alan", "Al", "Anthony",
		"Alejandro",
		"Bahadir", "Bill", "Billy", "Bob", "Bobby", "Boregard", "Bo", "Bridget", "Brigitte",
		"Betty", "Bea", "Beatrice", "Becky",
		"Carole", "Charlie", "Charlise", "Clark", "Chuck", "Charles", "Calvin", "Chris",
		"Christian", "Christopher", "Curt", "Curtis", "Cathy", "Catherine", "Chester",
		"Clif", "Clifford", "Casper", "Cap",
		"Dave", "David", "Don", "Donald", "Dana", "Dianne", "Dee", "Delores", "Dick",
		"Dennis", "Danny", "Dan", "Daniel",
		"Ed", "Edward", "Eduardo", "Eddy", "Edith", "Edwina", "Emo", "Eliza", "Elizabeth",
		"Elmer", "Evan", "Eric",
		"Jeff", "Jeffrey", "James", "Jim", "Jimmy", "John", "Jon", "Johnny", "Jan", "Janice", "Jonathan",
		"Jordan", "Jorge", "Jeremy", "Jed", "Joel", "Joe", "Joseph",
		"Gabby", "Gabriel", "Gabriella", "Geoff", "Geoffery", "Gordon", "Gus", 
		"Gustav", "Gustavo", "Gwendolyn", "George",
		"Harold", "Harry", "Hans", "Howard",
		"Ian", "Ivan",
		"Kit", "Kitty", "Kelvin", "Kevin", "Kim", "Kimberly", "Kurt", "Kurtis", "Kate", 
		"Katie", "Katherine",
		"Linda", "Lynn", "Lucy", "Lucile", "Lana", "Liz", "Les", "Lester", "Lars", "Laura",
		"Lee", "Larry", "Lorne",
		"Mary", "Marilyn", "Michael", "Michelle", "Mike", "Mohammed", "Mufasa", "Milton",
		"Matt", "Matthew", "Mari", "Marie", "Maddie", "Matty", "Madeline",
		"Nicelle", "Nicole", "Noel", "Nancy", "Nathan",
		"Onno", "Otto", "Orson", "Oswald", "Owen",
		"Pat", "Patricia", "Patrick", "Penny", "Penelope", "Percy", "Percival", "Peter", 
		"Phil", "Phillip", "Paul", "Pablo", "Pranav", "Pradeep",
		"Randy", "Randall", "Raquel", "Rudy", "Rudolf", "Robert", "Roberta", "Richard", 
		"Ricky", "Ron", "Ronny", "Ronald", "Ronaldo", "Rick", "Ric", "Ruth", "Rebecca",
		"Roger", "Ricardo", "Ray",
		"Sam", "Sammy", "Samuel", "Samantha", "Sara", "Simon", "Sean", "Stan", "Sandeep",
		"Sanjay", "Salvador", "Steve", "Stephen", "Stephan", "Scott", "Sven", "Simone",
		"Saify",
		"Tom", "Thomas", "Tommy", "Tomas", "Thurston", "Tim", "Timmothy", "Tilak",
		"Tammy", "Tabitha", "Todd", "Troy", "Tony", "Ted",
		"Vicky", "Vicki", "Veronica", "Valerie", "Val",
		"Wilma", "Willy", "William", "Willamina", "Wendy", "Winston", "Wyatt",
		"Yakov"};
	
	private static String[] lastName = {"Almos", "Andrews", "Austin", "Appleby",
		"Anderson", "Ader", "Alder", "Alderman", "Atkins", "Aniston", "Agin",
		"Barrows", "Basset", "Bittenham", "Buxton", "Bell", "Bergal", "Bullock",
		"Bowie", "Boyington", "Burton", "Bolay", "Baxter", "Burns", "Burnthorne",
		"Burner", "Black", "Brown", "Berg", "Bowman", "Boyer",
		"Charmichael", "Carvey", "Coldman", "Cole", "Coward", "Carson", "Carlson", 
		"Carlsberg", "Cox", "Coxswain", "Chikarmane", "Cleary", "Coughlin", "Carpenter",
		"Cunningham", "Carroll", "Cormier", "Claven", "Caspar", "Capps", "Christopherson",
		"Caliviere", "Calviere", "Connors", "Cagney",
		"Davies", "Davis", "Daniels", "Davidson", "Dudney", "Dunston", "Durer", "Dali",
		"Day", "Dei", "Downing", "Doyle", "Dorn", "DiVito", "Dawson",
		"Edwards", "Escobar", "Earp", "England", "Evans", "Ericcson",
		"Freidman", "Freedman", "Freeberg", "Freiberg", "Freemantle", "Fremantle",
		"Fitch", "Foster", "Faust", "Ficus", "Fiscus", "Flowers", "Foreman",
		"Gabriel", "Geelan", "Gold", "Goldman", "Gould", "Graham", "Grantham", 
		"Goodson", "Goodman", "Ghandi", "Gabor", "Gruenig", "Guest", "Guess",
		"Griffith", "Griffud", "Garrison", "Guyan", "Green", "Greene", "Greefe",
		"Hess", "Henderson", "Howe", "Howel", "Holt", "Holzner", "Hightower", "Hart",
		"Hartman", "Harrison", "Holmes", "Himes", "Hubbard",
		"Ivanhoe", "Ivannovich", "Ivanowski",
		"Jones", "James", "Jameson", "Johnston", "Johnson", "Johnstone", "Jackson",
		"Kay", "Kidman", "Kinkade", "Knowels", "Keonig", "Koening", "Krishna", "Karuv",
		"Kluyt", "Kieffer", "Kirby", "Kennedy", "Kent", "Kipp", "Krupp", "Kinseth",
		"Keene", "Keenan", "Kelly", "Kelley",
		"Lima", "Leung", "Long", "Li", "Lee", "Lynn", "Lindstrom", "Lucien", "Lambrinth",
		"Lambirth", "Lobaugh", "Limbaugh", "Lainwalla",
		"Melton", "Milton", "Monroe", "Mitra", "Marshal", "Marshall", "Meyers", "Myers",
		"Mendoza", "Mueller", "Mason", "Mormon", "Mutt", "Moody", "Michaels", "Madison",
		"Makepeace", "Masters", "Masterson", "Martin",
		"Nakamura", "Nickle", "Nichols", "Nickles",
		"O'Reilly", "Oswald", "Orson",
		"Picaso", "Parekh", "Phillips", "Perlman", "Perl", "Peabody", "Potter",
		"Pratley", "Parson", "Parsons", "Parkinson", "Parks", "Palmer", "Pavelka",
		"Reed", "Reading", "Reed", "Rood", "Rhody", "Roberts", "Robertson", "Ruhnke",
		"Roberge", "Roach", "Roche",
		"Sagar", "Silverman", "Silvers", "Simeonov", "Snell", "Schorow", "Schmidt", 
		"Smith", "Stone", "Scott", "Stockard", "Stockton", "Strohman", "Schwebke",
		"Swisher", "Steele", "Schwartzkoff", "Schwartz", "Skinner", "Stevens", "Stephens",
		"Tidwell", "Thomas", "Tailor", "Taylor", "Tuttle", "Thompson", "Thomson",
		"Trotter", "Tyler",
		"van der Vlist", "Vanderbilt", "Vain", "Valentine", "Valentino", "Vohra",
		"Vanderhorn",
		"Westerman", "Winchester", "Wilcox", "Willenborg", "Winn", "Williams", "Welsch",
		"Welch", "Weinberger", "Weinberg", "Wells", "Wood", "Woods", "Woorward", "White",
		"Yuan", "Yeh",
		"Zimmerman", "Zuckerman", "Zentner", "Zabel"};
	
	private static int firstNameCount = firstName.length;
	private static int lastNameCount = lastName.length;
	private Random rand;
	
	/**
	 * This is used for a down & dirty unit test
	 * @param args
	 */
	public static void main(String[] args) {
		// Generate names and display them on the STDOUT device
		NameGenerator gen = NameGenerator.getInstance();
		System.out.println("There are " + firstNameCount + " first names and " +
				lastNameCount + " last names in the generator.");
		for(int x = 0; x < 10; x++) {
			String name = gen.getFirstName() + " " + gen.getLastName();
			System.out.println(x + " " + name);
		}
		System.out.println("Done");
	}
	
	/**
	 * Private constructor, as per the Singleton pattern
	 */
	private NameGenerator() {
		// Sed the random number generator
		rand = new Random(new java.util.Date().getTime());
	}
	
	/**
	 * Get the instance of our singleton
	 * @return
	 */
	public static NameGenerator getInstance() {
		if(nameGen == null) {
			// We need to initialize the name generator
			nameGen = new NameGenerator();
		}
		return nameGen;
	}
	
	/**
	 * Returns a name at random from the collection of first names
	 * @return a random first name
	 */
	public synchronized String getFirstName() {
		int firstNameIndex = rand.nextInt(firstNameCount);
		return firstName[firstNameIndex];
	}
	
	/**
	 * Returns a name at randome from the collection of last names
	 * @return a random last name
	 */
	public synchronized String getLastName() {
		int index = rand.nextInt(lastNameCount);
		return lastName[index];
	}

}
