package com.bea.wlevs.demo.airline.adapter;

/**
 * Enumerate the event types being sent via JMS 
 */
public interface OutboundEventTypes {

	public final static String EVENT_TYPE_PROPERTY_NAME = "AIRLINE_DEMO_EVENT_TYPE";
 
	public final static String FLIGHT_STATUS           = "flight.status";
	public final static String FLIGHT_TAKEOFF_DELAY    = "flight.takeoffDelay";
	public final static String FLIGHT_ACTIVITY_SUMMARY = "flight.activitySummary";
	
	public final static String BAG_TRACKING_MISSED_SCAN = "bag.tracking.missedScan";
	public final static String BAG_TRACKING_LOST_BAG    = "bag.tracking.lostBag";
	 
	public final static String SECURITY_WAIT_TIME_SUMMARY = "security.waitTimeSummaryEvent";

	public final static String PASSENGER_STUCK_IN_SECURITY = "pasenger.stuckInSecurity";
	public final static String PASSENGER_ACTIVITY_SUMMARY  = "pasenger.activitySummary";
	
}
