package com.bea.wlevs.demo.airline.events;


public class MissedBagScanEvent implements Cacheable {

	private static final long serialVersionUID = 1L;

	private long timestamp; 
    private String reservationLocator;
    private String bagId;
    private String passengerName;
    private int flightNumber;
    private String flightSegment;
    private String lastLocation;	
	
	public Object getKey() {
		return "MissedBagScanEvent[locator:"+reservationLocator+"][flight:"+flightNumber+"][bag:"+bagId+"]";
	}

	public String toString() {
		return (String) getKey();
	}
	
	public long getTimestamp() {
		return timestamp;
	}

	public void setTimestamp(long timestamp) {
		this.timestamp = timestamp;
	}

	public String getReservationLocator() {
		return reservationLocator;
	}

	public void setReservationLocator(String reservationLocator) {
		this.reservationLocator = reservationLocator;
	}

	public String getBagId() {
		return bagId;
	}

	public void setBagId(String bagId) {
		this.bagId = bagId;
	}

	public String getPassengerName() {
		return passengerName;
	}

	public void setPassengerName(String passengerName) {
		this.passengerName = passengerName;
	}

	public int getFlightNumber() {
		return flightNumber;
	}

	public void setFlightNumber(int flightNumber) {
		this.flightNumber = flightNumber;
	}

	public String getFlightSegment() {
		return flightSegment;
	}

	public void setFlightSegment(String flightSegment) {
		this.flightSegment = flightSegment;
	}

	public String getLastLocation() {
		return lastLocation;
	}

	public void setLastLocation(String lastLocation) {
		this.lastLocation = lastLocation;
	}

}
