package com.bea.wlevs.demo.airline.util;

import java.io.Serializable;
import java.util.HashMap;
import java.util.Map;
import java.util.Set;

import com.tangosol.util.InvocableMap.Entry;
import com.tangosol.util.InvocableMap.EntryProcessor;

/**
 * This returns true for the first invocation of the key.  The 
 * caller will only process the event if the return is true.  Otherwise
 * the caller will skip the event because it's already been processed.
 */
public class TrueIfPresentEntryProcessor implements EntryProcessor, Serializable {

	private static final long serialVersionUID = 1L;

	public Object process(Entry entry) {
		boolean processFlag = false;
		if(! entry.isPresent()) {
			entry.setValue(Boolean.TRUE);
			processFlag = true;
		}
		return processFlag;
	}

	public Map processAll(Set arg0) {
		throw new IllegalStateException("processAll is not supported");
	}

}
